$PROB Warfarin PKPD

;O'Reilly RA, Aggeler PM. Studies on coumarin anticoagulant drugs
;Initiation of warfarin therapy without a loading dose.
;Circulation 1968;38:169-177
;
;O'Reilly RA, Aggeler PM, Leong LS. Studies of the coumarin anticoagulant
;drugs: The pharmacodynamics of warfarin in man.
;Journal of Clinical Investigation 1963;42(10):1542-1551

$DATA conc_pcaNo12.csv
$INPUT ID time wt age sex amt dvid dv mdv

$EST MAX=9990 SIG=3 PRINT=0 
METHOD=COND INTER NOABORT
$COV

$THETA
(0.01,0.134,1) FIX ; POPCL L/h/70kg
(0.01,8.1,20) FIX ; POPV L/70kg
(0.01,0.523,24) FIX ; POPTABS h
(0.01,0.822,24) FIX ; POPLAG h
(0.01,97.4,200) ; POPE0
(-1,-1,0) FIX ; POPEMAX
(0.01,2.17,10) ; POPC50
(0.01,11.6,100) ; POPTEQ

$OMEGA
0.0713 FIX ; PPVCL
0.0181 FIX ; PPVV
0.696 FIX ; PPVTABS
0.339 FIX ; PPVLAG
0.00151 ; PPVE0
0 FIX ; PPVEMAX
1.05 ; PPVC50
0.0137 ; PPVTEQ

$SIGMA
0.00752 FIX ; RUVCV
0.0661 FIX ; RUVSD mg/L
12.7 ; RUVFX

$SUBR ADVAN6 TOL=3
$MODEL
   COMP=GUT
   COMP=CENTRAL
   COMP=PCA
$PK

   IF (NEWIND.LE.1) LN2=LOG(2)

   FSZV=WT/70
   FSZCL=FSZV**0.75

   CL=FSZCL*POPCL*EXP(PPVCL)
   V=FSZV*POPV*EXP(PPVV)
   TABS=POPTABS*EXP(PPVTABS)
   TLAG=POPLAG*EXP(PPVLAG)

   E0=POPE0*EXP(PPVE0)
   EMAX=POPEMAX*EXP(PPVEMAX)
   C50=POPC50*EXP(PPVC50)
   TEQ=POPTEQ*EXP(PPVTEQ)

   IF (EMAX.LT.-1) EXIT 1 101

   KA=LN2/TABS
   ALAG1=TLAG
   S2=V
   A_0(3)=E0
   KPCA=LN2/TEQ
   RPCA=E0*KPCA

 
$DES
   RATEIN=KA*A(1)
   DCP=A(2)/V
   DPCA=A(3)
   PD=1+EMAX*DCP/(C50+DCP)

   DADT(1)=-RATEIN
   DADT(2)=RATEIN - CL*DCP
   DADT(3)=RPCA*PD - KPCA*DPCA

$ERROR

   CP=A(2)/V
   PCA=A(3)
   IF (DVID.LE.1) THEN
      Y=CP*(1+RUVCV) + RUVSD
   ENDIF
   IF (DVID.EQ.2) THEN
      Y=PCA + RUVFX
   ENDIF

;$TABLE ID TIME DVID CP PCA Y
;ONEHEADER NOPRINT FILE=ka1.fit



