$PROB Warfarin PKPD

;O'Reilly RA, Aggeler PM, Leong LS. Studies of the coumarin anticoagulant
;drugs: The pharmacodynamics of warfarin in man.
;Journal of Clinical Investigation 1963;42(10):1542-1551

;O'Reilly RA, Aggeler PM. Studies on coumarin anticoagulant drugs
;Initiation of warfarin therapy without a loading dose.
;Circulation 1968;38:169-177

$DATA conc_No12.csv
$INPUT ID time wt age sex amt dvid dv mdv

$EST MAX=9990 SIG=3 PRINT=0 NOABORT
METHOD=COND INTER 
$COV

$THETA
(0.01,0.134,1) ; POPCL L/h/70kg
(0.01,8.1,20) ; POPV L/70kg
(0.01,0.523,24) ; POPTABS h
(0.01,0.822,24) ; POPLAG h
$OMEGA
0.0713 ; PPVCL
0.0181 ; PPVV
0.696 ; PPVTABS
0.156 ; PPVLAG
$SIGMA 0.00752 ; RUVCV
$SIGMA 0.0661 ; RUVSD mg/L

$SUBR ADVAN2 TRAN2

$PK

   IF (NEWIND.LE.1) LN2=LOG(2)

   FSZV=WT/70
   FSZCL=FSZV**0.75

   CL=FSZCL*POPCL*EXP(PPVCL)
   V=FSZV*POPV*EXP(PPVV)
   TABS=POPTABS*EXP(PPVTABS)
   TLAG=POPLAG*EXP(PPVLAG)

   KA=LN2/TABS
   ALAG1=TLAG
   S2=V

$ERROR

   CP=F
   Y=CP*(1+RUVCV) + RUVSD

;$TABLE ID TIME DVID Y
;ONEHEADER NOPRINT FILE=ka1.fit
